import { getProjectRoot, getConfig, ServerRouter, generate } from '@midwayjs/hooks-core';

async function MidwayHooksLoader(source) {
  const callback = this.async();
  const root = getProjectRoot();
  const config = getConfig();
  const router = new ServerRouter(root, config, true);

  if (!router.isApiFile(this.resourcePath)) {
    return callback(null, source);
  }

  const sdk = await generate(router.getBaseUrl(this.resourcePath), source, config.superjson, config.request.client);
  callback(null, sdk);
}

export default MidwayHooksLoader;
